PHP Manual
Prev |  | Next

# dbase_pack

(PHP 3, PHP 4, PHP 5)

dbase_pack -- Packs a database

## Description

bool dbase_pack ( int dbase_identifier )

Packs the specified database by permanently deleting all records marked for deletion using dbase_delete_record().

## Parameters

dbase_identifier

  The database link identifier, returned by dbase_open() or dbase_create().

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Emptying a dBase database
`<?php // open in read-write mode $db = dbase_open('/tmp/test.dbf', 2); if ($db) { $record_numbers = dbase_numrecords($db); for ($i = 1; $i <= $record_numbers; $i++) { dbase_delete_record($db, $i); } // expunge the database dbase_pack($db); } ?>`

## See Also

dbase_delete_record()

Prev | Home | Next
dbase_open | Up | dbase_replace_record